Bug 1114175 - Review Request: golang-github-codegangsta-cli - Package for building command line apps in Go
Summary: Review Request: golang-github-codegangsta-cli - Package for building command ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1055712 1111916 1118603 1124036
TreeView+ depends on / blocked
 
Reported: 2014-06-28 04:35 UTC by Lokesh Mandvekar
Modified: 2015-03-09 16:59 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 18:57:37 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
spec tweaks (1.32 KB, patch)
2014-07-16 19:20 UTC, Vincent Batts
no flags Details | Diff

Description Lokesh Mandvekar 2014-06-28 04:35:19 UTC
Spec URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/golang-github-codegangsta-cli.spec
SRPM URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/SRPMS/golang-github-codegangsta-cli-1.0.0-1.fc21.src.rpm

Description:
cli.go is simple, fast, and fun package for building command line apps in Go.
The goal is to enable developers to write fast and distributable command line
applications in an expressive way.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7085869

$ rpmlint SRPMS/golang-github-codegangsta-cli-1.0.0-1.fc21.src.rpm RPMS/noarch/golang-github-codegangsta-cli-devel-1.0.0-1.fc21.noarch.rpm golang-github-codegangsta-cli.spec
golang-github-codegangsta-cli.src: W: spelling-error %description -l en_US distributable -> distributed, distributive, attributable
golang-github-codegangsta-cli.src:38: W: setup-not-quiet
golang-github-codegangsta-cli-devel.noarch: W: spelling-error %description -l en_US distributable -> distributed, distributive, attributable
golang-github-codegangsta-cli.spec:38: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Lokesh Mandvekar 2014-06-28 04:38:23 UTC
Vincent, let me know if this should block docker/libcontainer review or if it's better for libcontainer to proceed without this for now. And feel free to re-assign this :)

Comment 2 Vincent Batts 2014-07-16 19:20:11 UTC
Created attachment 918503 [details]
spec tweaks

Points addressed in the attached patch:
* remove boiler-plate, to use golang rpm macros instead
* preserve timestamps of copied source
* don't own directories that golang owns

Comment 3 Lokesh Mandvekar 2014-07-16 19:27:19 UTC
%changelog
* Wed Jul 16 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-2
- From: Vincent Batts <vbatts@fedoraproject.org>
- remove boiler-plate, to use golang rpm macros instead
- preserve timestamps of copied source
- don't own directories that golang owns

Spec URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/golang-github-codegangsta-cli.spec
SRPM URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/SRPMS/golang-github-codegangsta-cli-1.0.0-2.fc22.src.rpm

Comment 4 Vincent Batts 2014-07-21 18:27:17 UTC
one little nit, the "p" in the `cp` args

<pre>
Index: rpmbuild/SPECS/golang-github-codegangsta-cli.spec
===================================================================
--- rpmbuild.orig/SPECS/golang-github-codegangsta-cli.spec
+++ rpmbuild/SPECS/golang-github-codegangsta-cli.spec
@@ -40,7 +40,7 @@ which use codegangsta/cli.
 
 %install
 install -d -p %{buildroot}%{gopath}/src/%{import_path}
-cp -av *.go %{buildroot}%{gopath}/src/%{import_path}
+cp -pav *.go %{buildroot}%{gopath}/src/%{import_path}
 
 %check
 GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{import_path}
</pre>

Comment 5 Lokesh Mandvekar 2014-07-21 18:44:01 UTC
argh, sorry about that.

%changelog
* Mon Jul 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-3
- correct cp args

Spec URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/golang-github-codegangsta-cli.spec
SRPM URL: http://lsm5.fedorapeople.org/golang-github-codegangsta-cli/SRPMS/golang-github-codegangsta-cli-1.0.0-3.fc22.src.rpm

Comment 6 Vincent Batts 2014-07-22 17:55:34 UTC
looks good. Thanks lokesh.

Comment 7 Lokesh Mandvekar 2014-07-22 18:02:45 UTC
New Package SCM Request
=======================
Package Name: golang-github-codegangsta-cli
Short Description: Package for building command line apps in Go
Upstream URL: https://github.com/codegangsta/cli
Owners: lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 8 Gwyn Ciesla 2014-07-22 18:47:06 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-23 07:58:34 UTC
golang-github-codegangsta-cli-1.0.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.0.0-3.fc20

Comment 10 Fedora Update System 2014-07-23 08:05:02 UTC
golang-github-codegangsta-cli-1.0.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.0.0-3.fc19

Comment 11 Fedora Update System 2014-07-24 03:19:48 UTC
golang-github-codegangsta-cli-1.0.0-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-07-29 00:38:09 UTC
golang-github-codegangsta-cli-1.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.0.0-4.fc20

Comment 13 Fedora Update System 2014-07-29 01:02:25 UTC
golang-github-codegangsta-cli-1.0.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.0.0-4.fc19

Comment 14 Fedora Update System 2014-07-30 23:24:59 UTC
golang-github-codegangsta-cli-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.1.0-1.fc20

Comment 15 Fedora Update System 2014-07-30 23:29:51 UTC
golang-github-codegangsta-cli-1.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.1.0-1.fc19

Comment 16 Fedora Update System 2014-07-30 23:43:11 UTC
golang-github-codegangsta-cli-1.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.1.0-1.el6

Comment 17 Fedora Update System 2014-08-15 18:57:37 UTC
golang-github-codegangsta-cli-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2014-08-16 00:25:34 UTC
golang-github-codegangsta-cli-1.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-08-16 00:28:09 UTC
golang-github-codegangsta-cli-1.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Lokesh Mandvekar 2014-08-21 17:39:31 UTC
Package Change Request
======================
Package Name: golang-github-codegangsta-cli
New Branches: epel7
Owners: lsm5 vbatts
InitialCC: golang-sig

Comment 21 Gwyn Ciesla 2014-08-21 19:35:31 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2015-02-19 21:54:47 UTC
golang-github-codegangsta-cli-1.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.2.0-2.fc20

Comment 23 Fedora Update System 2015-02-19 21:55:05 UTC
golang-github-codegangsta-cli-1.2.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.2.0-2.fc21

Comment 24 Fedora Update System 2015-02-19 21:56:29 UTC
golang-github-codegangsta-cli-1.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-codegangsta-cli-1.2.0-2.el6

Comment 25 Fedora Update System 2015-03-01 06:51:38 UTC
golang-github-codegangsta-cli-1.2.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-03-01 06:51:43 UTC
golang-github-codegangsta-cli-1.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-03-09 16:59:47 UTC
golang-github-codegangsta-cli-1.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.